ttdt_Get_Modified(library call)

NAME
ttdt_Get_Modified — ask if any ToolTalk client has changes pending on a file

SYNOPSIS

#include &<Tt/tttk.h>
int ttdt_Get_Modified(
Tt_message context,
const char *pathname,
Tt_scope the_scope,
XtAppContext app2run,
int ms_timeout);

DESCRIPTION

The ttdt_Get_Modified function sends a Get_Modified request in the scope the_scope and waits for the reply. A Get_Modified request asks if any ToolTalk client has changes pending on pathname that it intends to make persistent.

The context argument describes the environment to use. If context is not zero, messages created by ttdt_Get_Modified inherit from context all contexts whose slotname begins with the characters ENV_. That is, the environment described in context is propagated to messages created by ttdt_Get_Modified.

The pathname argument is a pointer to a pathname on which the client is operating.

The the_scope argument identifies the scope of the request. If the_scope is TT_SCOPE_NONE, ttdt_Get_Modified tries TT_BOTH, and falls back to TT_FILE_IN_SESSION if, for example, the ToolTalk database server is not installed on the file server that owns pathname.

The ttdt_Get_Modified function passes app2run and ms_timeout to tttk_block_while(3), blocking on the reply to the Get_Modified request it sends.

RETURN VALUE

Upon successful completion, the ttdt_Get_Modified function returns non-zero if the Get_Modified request receives an affirmative reply within ms_timeout milliseconds; otherwise, it returns zero.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_file_join(3), ttdt_file_event(3), tttk_block_while(3).